Package org.apache.maven.scm.provider.tfs.command

## Class TfsChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsChangeLogCommand

All Implemented Interfaces:
  `ChangeLogCommand`, `Command`

    public class TfsChangeLogCommand
    extends AbstractChangeLogCommand

Author:
  Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`TfsChangeLogCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected TfsCommand` `createCommand​(ScmProviderRepository r, ScmFileSet f, java.io.File file)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository r, ScmFileSet f, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeChangeLogCommand, executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsChangeLogCommand

    public TfsChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository r,
                                                         ScmFileSet f,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### createCommand

    protected TfsCommand createCommand​(ScmProviderRepository r,
                                       ScmFileSet f,
                                       java.io.File file)